# Installation
> `npm install --save @types/markdown-it-container`

# Summary
This package contains type definitions for MarkdownItContainer (markdown-it-container) (https://github.com/markdown-it/markdown-it-container).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/markdown-it-container.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/markdown-it-container/index.d.ts)
````ts
// Type definitions for MarkdownItContainer (markdown-it-container) 2.0
// Project: https://github.com/markdown-it/markdown-it-container
// Definitions by: Vyacheslav Demot <https://github.com/hronex>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
// TypeScript Version: 2.3

import MarkdownIt = require('markdown-it');
import Renderer = require('markdown-it/lib/renderer');
import Token = require('markdown-it/lib/token');

declare namespace MarkdownItContainer {
    interface ContainerOpts {
        marker?: string | undefined;
        validate?(params: string): boolean;
        render?: Renderer.RenderRule | undefined;
    }
}

declare function MarkdownItContainer(
    md: MarkdownIt,
    name: string,
    opts: MarkdownItContainer.ContainerOpts,
): void;

export = MarkdownItContainer;

````

### Additional Details
 * Last updated: Mon, 24 Jul 2023 17:32:50 GMT
 * Dependencies: [@types/markdown-it](https://npmjs.com/package/@types/markdown-it)
 * Global values: none

# Credits
These definitions were written by [Vyacheslav Demot](https://github.com/hronex).
